---
title: DocumentType
slug: Web/API/DocumentType
tags:
  - API
  - DOM
  - DocumentType
  - Interface
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>DocumentType</code></strong> interface represents a {{domxref("Node")}} containing a doctype.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("Node")}}, and implements the {{domxref("ChildNode")}} interface.</em></p>

<dl>
	<dt>{{domxref("DocumentType.entities")}} {{readonlyInline}} {{obsolete_Inline}}</dt>
	<dd>A {{domxref("NamedNodeMap")}} of entities declared in the DTD. Every node in this map implements the {{domxref("Entity")}} interface.</dd>
	<dt>{{domxref("DocumentType.internalSubset")}} {{readonlyInline}} {{obsolete_Inline}}</dt>
	<dd>A {{domxref("DOMString")}} of the internal subset, or <code>null</code> if there is none. Eg <code>"&lt;!ELEMENT foo (bar)&gt;"</code>.</dd>
	<dt>{{domxref("DocumentType.name")}} {{readonlyInline}}</dt>
	<dd>A {{domxref("DOMString")}}, eg <code>"html"</code> for <code>&lt;!DOCTYPE HTML&gt;</code>.</dd>
	<dt>{{domxref("DocumentType.notations")}} {{readonlyInline}} {{obsolete_Inline}}</dt>
	<dd>A {{domxref("NamedNodeMap")}} with notations declared in the DTD. Every node in this map implements the {{domxref("Notation")}} interface.</dd>
	<dt>{{domxref("DocumentType.publicId")}} {{readonlyInline}}</dt>
	<dd>A {{domxref("DOMString")}}, eg <code>"-//W3C//DTD HTML 4.01//EN"</code>, empty string for HTML5.</dd>
	<dt>{{domxref("DocumentType.systemId")}} {{readonlyInline}}</dt>
	<dd>A {{domxref("DOMString")}}, eg <code>"http://www.w3.org/TR/html4/strict.dtd"</code>, empty string for HTML5.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its parent, {{domxref("Node")}}, and implements the {{domxref("ChildNode")}} interface.</em></p>

<dl>
	<dt>{{domxref("ChildNode.remove()")}} {{experimental_inline}}</dt>
	<dd>Removes the object from its parent children list.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('DOM WHATWG', '#documenttype', 'DocumentType')}}</td>
			<td>{{Spec2('DOM WHATWG')}}</td>
			<td>Added implemention of the {{domxref("ChildNode")}} interface.<br>
			Removed the <code>internalSubset</code>, <code>entities</code>, and <code>notation</code> properties.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM3 Core', 'core.html#ID-412266927', 'DocumentType')}}</td>
			<td>{{Spec2('DOM3 Core')}}</td>
			<td>No change from {{SpecName('DOM2 Core')}}.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM2 Core', 'core.html#ID-412266927', 'DocumentType')}}</td>
			<td>{{Spec2('DOM2 Core')}}</td>
			<td>Added the <code>publicID</code>, <code>systemID</code>, and <code>internalSubset</code> properties.</td>
		</tr>
		<tr>
			<td>{{SpecName('DOM1', 'level-one-core.html#ID-412266927', 'DocumentType')}}</td>
			<td>{{Spec2('DOM1')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DocumentType")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index.</a></li>
	<li>{{domxref("Entity")}}</li>
	<li>{{domxref("Notation")}}</li>
</ul>
